Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 10-01-09, 04:47 PM   #1
Lukian
Registered User
 
Join Date: Nov 2006
Posts: 8
Default 190 (.29/.32) can't build with 2.6.31-rt kernel

I'm attempting to test the linux-rt kernel in "Karmic Koala" Ubuntu 9.10 Beta.

However, The nvidia drivers are unable to build for this kernel.
Tested: 190.29, 190.32 and 190.36
Lukian is offline   Reply With Quote
Old 10-01-09, 05:30 PM   #2
ledoc
Registered User
 
Join Date: Jan 2008
Posts: 330
Default Re: 190 (.29/.32) can't build with 2.6.31-rt kernel

You're going to heave to search the forum for the rt patch.
ledoc is offline   Reply With Quote
Old 10-01-09, 05:35 PM   #3
Lukian
Registered User
 
Join Date: Nov 2006
Posts: 8
Default Re: 190 (.29/.32) can't build with 2.6.31-rt kernel

Cheers. Found it. http://www.nvnews.net/vbulletin/showthread.php?t=139174

Code:
 * Running DKMS auto installation service for kernel 2.6.31-6-rt
 *  nvidia (190.32)...
nvidia (190.32): Installing module.
.............
......
[ OK ]
If [fail] occurs, reinstalling the nvidia-190-kernel-source package and patching works nicely.

Manually verified patch is applied and that DKMS is using the patched code.

I'm using nvidia-glx-190 and nvidia-190-kernel-source (190.32-0ubuntu1~karmic~nvidiavdpauppa1) from https://launchpad.net/~nvidia-vdpau/+archive/ppa

$ uname -a
Linux wizard 2.6.31-6-rt #7-Ubuntu SMP PREEMPT RT Sun Sep 27 10:56:10 UTC 2009 x86_64 GNU/Linux
Lukian is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 04:39 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.